{% comment %}ly_global_begin{% endcomment %}{% include 'ly-global' %}{% comment %}ly_global_end{% endcomment %}{% assign current_url = '' %}
{% assign location = section.location %}

{% if location == '' %}
{% assign location = 'home' %}
{% endif %}

{% case template %}
  {% when 'page' %}
    {% assign current_url = page.url %}
  {% when 'blog' %}
    {% assign current_url = blog.url %}
  {% when 'article' %}
    {% assign current_url = blog.url %}
  {% when 'collection' %}
    {% assign current_url = collection.url %}
  {% when 'product' %}
    {% assign current_url = product.url %}
  {% when 'index' %}
    {% assign current_url = 'home' %}
{% endcase %}

{% if location == current_url %}
  <section class="{{ section.class }}">
  </section><!-- ".{{ section.class }}" -->
{% endif %}

{% schema %}
{
  "name": "Chalkboard",
  "class": "section-chalkboard",
  "blocks": [
    {
      "type": "centered-image",
      "name": "Centered-Image Board",
      "settings": [
        {
          "id": "title",
          "type": "text",
          "label": "Board Title",
          "placeholder": "CSM SS/16"
        },
        {
          "id": "location",
          "type": "url",
          "label": "Board Location",
          "info": "What page does this chalkboard appear on?"
        },
        {
          "id": "link",
          "type": "url",
          "label": "Board Link",
          "info": "What page does this chalkboard link to? Leave blank to omit link."
        },
        {
          "id": "color",
          "type": "color",
          "label": "Board Background Color",
          "default": "#000000"
        },
        {
          "id": "text_color",
          "type": "color",
          "label": "Text Color",
          "default": "#ffffff"
        },
        {
          "id": "desktop_image",
          "type": "image_picker",
          "label": "Desktop Image"
        },
        {
          "id": "mobile_image",
          "type": "image_picker",
          "label": "Mobile Image"
        }
      ]
    },
    {
      "type": "full-bleed",
      "name": "Full-Bleed Image Board",
      "settings": [
        {
          "id": "title",
          "type": "text",
          "label": "Board Title",
          "placeholder": "CSM SS/16"
        },
        {
          "id": "location",
          "type": "url",
          "label": "Board Location",
          "info": "What page does this chalkboard appear on? Leave blank to appear on homepage."
        },
        {
          "id": "link",
          "type": "url",
          "label": "Board Link",
          "info": "What page does this chalkboard link to? Leave blank to omit link."
        },
        {
          "id": "color",
          "type": "color",
          "label": "Board Background Color",
          "default": "#000000"
        },
        {
          "id": "text_color",
          "type": "color",
          "label": "Text Color",
          "default": "#ffffff"
        },
        {
          "id": "desktop_image",
          "type": "image_picker",
          "label": "Desktop Image"
        },
        {
          "id": "mobile_image",
          "type": "image_picker",
          "label": "Mobile Image"
        }
      ]
    }
  ],
  "presets": [
    {
      "name": "CSM Chalkboard",
      "category": "CSM Layout"
    }
  ]
}
{% endschema %}